Index: LMDZ6/trunk/libf/phylmdiso/YOMCST.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/YOMCST.h	(revision 5273)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/YOMCST.h
Index: LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5274)
@@ -160,6 +160,18 @@
 #endif  
 #endif
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 IMPLICIT none
-  include "YOMCST.h"
+
   include "clesphys.h"
 
@@ -687,6 +699,18 @@
 USE phys_output_var_mod, ONLY : d_qw_col, d_ql_col, d_qs_col, d_qbs_col, d_qt_col, d_ek_col, d_h_dair_col &
   &           , d_h_qw_col, d_h_ql_col, d_h_qs_col, d_h_qbs_col, d_h_col
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 IMPLICIT none
-  include "YOMCST.h"
+
   include "clesphys.h"
 
@@ -842,6 +866,18 @@
                     zh_qw_col, zh_ql_col, zh_qs_col, zh_qbs_col, zh_col)
 
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 IMPLICIT none
-  include "YOMCST.h"
+
 
 INTEGER,                    INTENT(IN)    :: nlon,nlev
@@ -923,6 +959,18 @@
    &  , rain_lsc, snow_lsc
 USE climb_hq_mod, ONLY : d_h_col_vdf, f_h_bnd
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 IMPLICIT none
-include "YOMCST.h"
+
 
 ! Arguments :
Index: LMDZ6/trunk/libf/phylmdiso/ajsec.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/ajsec.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/ajsec.F90	(revision 5274)
@@ -19,5 +19,17 @@
 #endif
 #endif
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! ======================================================================
   ! Auteur(s): Z.X. Li (LMD/CNRS) date: 19930818
@@ -29,5 +41,5 @@
   ! d_t-----output-R-Incrementation de la temperature
   ! ======================================================================
-  include "YOMCST.h"
+
   REAL paprs(klon, klev+1), pplay(klon, klev)
   REAL t(klon, klev), q(klon, klev)
@@ -313,5 +325,17 @@
 #endif
 #endif
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! ======================================================================
   ! Auteur(s): Z.X. Li (LMD/CNRS) date: 19930818
@@ -323,5 +347,5 @@
   ! d_t-----output-R-Incrementation de la temperature
   ! ======================================================================
-  include "YOMCST.h"
+
   REAL paprs(klon, klev+1), pplay(klon, klev)
   REAL t(klon, klev), q(klon, klev)
@@ -579,5 +603,17 @@
 SUBROUTINE ajsec_old(paprs, pplay, t, d_t)
   USE dimphy
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! ======================================================================
   ! Auteur(s): Z.X. Li (LMD/CNRS) date: 19930818
@@ -589,5 +625,5 @@
   ! d_t-----output-R-Incrementation de la temperature
   ! ======================================================================
-  include "YOMCST.h"
+
   REAL paprs(klon, klev+1), pplay(klon, klev)
   REAL t(klon, klev)
Index: LMDZ6/trunk/libf/phylmdiso/calwake.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/calwake.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/calwake.F90	(revision 5274)
@@ -42,7 +42,19 @@
 #endif
 #endif
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! ======================================================================
-  include "YOMCST.h"
+
 
   ! Arguments
Index: LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5274)
@@ -41,6 +41,17 @@
   USE infotrac_phy, ONLY: ntiso    
 #endif
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
     
-    INCLUDE "YOMCST.h"
 !albedo SB >>>
     include "clesphys.h"
Index: LMDZ6/trunk/libf/phylmdiso/clift.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/clift.f90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/clift.f90	(revision 5274)
@@ -3,5 +3,17 @@
 
 SUBROUTINE clift(p, t, rr, rs, plcl, dplcldt, dplcldq)
-IMPLICIT NONE
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+  IMPLICIT NONE
   ! ***************************************************************
   ! *                                                             *
@@ -41,5 +53,4 @@
   ! on utilise les constantes thermo du Centre Europeen: (sb)
 
-  include "YOMCST.h"
   real :: p,t,rr,rs,plcl,dplcldt,dplcldq,cpd,cpv,cl,cpvmcl,eps,alv0,a,b
   real :: rh,chi,alv
Index: LMDZ6/trunk/libf/phylmdiso/climb_hq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/climb_hq_mod.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/climb_hq_mod.F90	(revision 5274)
@@ -63,4 +63,16 @@
 USE isotopes_verif_mod
 #endif
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 
 ! This routine calculates recursivly the coefficients C and D
@@ -127,6 +139,5 @@
 ! Include
 !****************************************************************************************
-    INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"    
+    INCLUDE "compbl.h"
     
 #ifdef ISO
@@ -423,5 +434,16 @@
 ! where X is H or Q, and k the vertical level k=1,klev
 !
-    INCLUDE "YOMCST.h"
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 ! Input arguments
 !****************************************************************************************
@@ -505,4 +527,16 @@
 USE isotopes_verif_mod
 #endif
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 ! 
 ! This routine calculates the flux and tendency of the specific humidity q and 
@@ -557,6 +591,5 @@
 ! Include
 !****************************************************************************************
-    INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"       
+    INCLUDE "compbl.h"
 
 !****************************************************************************************
Index: LMDZ6/trunk/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/concvl.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/concvl.F90	(revision 5274)
@@ -63,4 +63,16 @@
   USE phys_local_var_mod, ONLY: omega
   USE print_control_mod, ONLY: prt_level, lunout
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
   IMPLICIT NONE
 ! ======================================================================
@@ -295,7 +307,4 @@
   INTEGER, SAVE            :: itap, igout
 !$OMP THREADPRIVATE(itap, igout)
-
-
-  include "YOMCST.h"
   include "YOMCST2.h"
   include "YOETHF.h"
Index: LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5274)
@@ -18,5 +18,17 @@
   ! **************************************************************
 
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! ==============================================================
 
@@ -31,5 +43,5 @@
   include "cvthermo.h"
   include "YOETHF.h"
-  include "YOMCST.h"
+
   include "FCTTRE.h"
 !inputs:
Index: LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90	(revision 5274)
@@ -19,5 +19,17 @@
   ! ****************************************************************
 
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! ==============================================================
 
@@ -32,5 +44,5 @@
   include "cvthermo.h"
   include "YOETHF.h"
-  include "YOMCST.h"
+
   include "FCTTRE.h"
 !inputs:
Index: LMDZ6/trunk/libf/phylmdiso/cv_driver.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv_driver.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/cv_driver.F90	(revision 5274)
@@ -1231,5 +1231,17 @@
   USE ioipsl_getin_p_mod, ONLY : getin_p
 
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
 
   ! Argument : iflag_ice_thermo : ice thermodynamics is taken into account if
@@ -1245,14 +1257,14 @@
   !
 ! si icvflag_Tpa=0, alors la fraction de glace dans l'ascendance adiabatique est
-  ! fonction de la temperature de l'environnement et la temperature de l'ascendance est 
-  ! calculee en deux iterations, une en supposant qu'il n'y a pas de glace et l'autre 
+  ! fonction de la temperature de l'environnement et la temperature de l'ascendance est
+  ! calculee en deux iterations, une en supposant qu'il n'y a pas de glace et l'autre
   ! en ajoutant la glace (ancien schema d'Arnaud Jam).
 ! si icvflag_Tpa=1, alors la fraction de glace dans l'ascendance adiabatique est
-  ! fonction de la temperature de l'environnement et la temperature de l'ascendance est 
+  ! fonction de la temperature de l'environnement et la temperature de l'ascendance est
   ! calculee en une seule iteration.
 ! si icvflag_Tpa=2, alors la fraction de glace dans l'ascendance adiabatique est
-  ! fonction de la temperature de l'ascendance et la temperature de l'ascendance est 
+  ! fonction de la temperature de l'ascendance et la temperature de l'ascendance est
   ! calculee en une seule iteration.
-  icvflag_Tpa=0  
+  icvflag_Tpa=0
   call getin_p('icvflag_Tpa', icvflag_Tpa)
 
@@ -1262,4 +1274,16 @@
 ! ==================================================================
 SUBROUTINE cv_thermo(iflag_con)
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
   IMPLICIT NONE
 
@@ -1267,6 +1291,4 @@
   ! Set thermodynamical constants for convectL
   ! -------------------------------------------------------------
-
-  include "YOMCST.h"
   include "cvthermo.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5274)
@@ -26,7 +26,19 @@
 &       uncompress_ilp_zone
 #endif
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 implicit none
 
-INCLUDE "YOMCST.h"
+
 
 ! inputs
@@ -12969,5 +12981,17 @@
     USE isotrac_mod, ONLY: izone_cont,index_zone,index_iso
 #endif
-        USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 implicit none
 
@@ -12978,5 +13002,4 @@
 INCLUDE "YOETHF.h"
 INCLUDE "FCTTRE.h"
-INCLUDE "YOMCST.h"
 !
 !INCLUDE "paramet.h"
@@ -13542,9 +13565,21 @@
 &       bassin_map
 #endif
-        implicit none
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
 
 INCLUDE "YOETHF.h"
 INCLUDE "FCTTRE.h"
-INCLUDE "YOMCST.h"
+
         
         ! inputs
@@ -14460,9 +14495,21 @@
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 implicit none
 
 INCLUDE "YOETHF.h"
 INCLUDE "FCTTRE.h"
-INCLUDE "YOMCST.h"
+
 !
 !
@@ -16634,7 +16681,19 @@
         USE isotopes_verif_mod
 #endif
-      implicit none
-
-INCLUDE "YOMCST.h"
+      USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
+
+
 
 ! input
@@ -18233,7 +18292,19 @@
 #endif
       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 implicit none
 
-INCLUDE "YOMCST.h"
+
 
 ! pour avoir iim et jjm
@@ -18376,7 +18447,19 @@
         USE isotopes_verif_mod
 #endif
-      implicit none
-
-INCLUDE "YOMCST.h"
+      USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
+
+
 
 !     Arguments
Index: LMDZ6/trunk/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5274)
@@ -68,4 +68,16 @@
 #endif
 
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
   IMPLICIT none
   !======================================================================
@@ -79,7 +91,7 @@
   ! P0> Thermalisation des precipitations venant de la couche du dessus
   ! P1> Evaporation de la precipitation (qui vient du niveau k+1)
-  ! P2> Formation du nuage (en k) 
+  ! P2> Formation du nuage (en k)
   ! P2.A.0> Calcul des grandeurs nuageuses une pdf en creneau
-  ! P2.A.1> Avec les nouvelles PDFs, calcul des grandeurs nuageuses pour 
+  ! P2.A.1> Avec les nouvelles PDFs, calcul des grandeurs nuageuses pour
   ! les valeurs de T et Q initiales
   ! P2.A.2> Prise en compte du couplage entre eau condensee et T.
@@ -89,10 +101,9 @@
   ! P3> Formation de la precipitation (en k)
   !======================================================================
-  ! JLD: 
+  ! JLD:
   ! * Routine probablement fausse (au moins incoherente) si thermcep = .false.
-  ! * fl_cor_ebil doit etre > 0 ; 
+  ! * fl_cor_ebil doit etre > 0 ;
   !   fl_cor_ebil= 0 pour reproduire anciens bugs
   !======================================================================
-  include "YOMCST.h"
   !
   ! Principaux inputs:
Index: LMDZ6/trunk/libf/phylmdiso/lmdz_wake.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/lmdz_wake.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/lmdz_wake.F90	(revision 5274)
@@ -43,4 +43,16 @@
 #endif
 #endif
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
   IMPLICIT NONE
   ! ============================================================================
@@ -136,7 +148,5 @@
   ! Déclaration de variables
   ! -------------------------------------------------------------------------
-
-  include "YOMCST.h"
-  include "cvthermo.h"
+ include "cvthermo.h"
 
   ! Arguments en entree
Index: LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90	(revision 5274)
@@ -47,7 +47,19 @@
     USE dimsoil_mod_h, ONLY: nsoilmx
 
-    IMPLICIT NONE
-
-    include "YOMCST.h"
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
+
+
     include "clesphys.h"
 
@@ -417,4 +429,16 @@
   ! ====================================================================
   SUBROUTINE zenang_an(cycle_diurne, gmtime, rlat, rlon, rmu0, fract)
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
     USE dimphy
     IMPLICIT NONE
@@ -450,5 +474,4 @@
     ! frac-----OUTPUT: ensoleillement moyen entre gmtime et gmtime+pdtrad
     ! ================================================================
-    include "YOMCST.h"
     ! ================================================================
     LOGICAL cycle_diurne
Index: LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5274)
@@ -61,5 +61,17 @@
   USE dimsoil_mod_h, ONLY: nsoilmx
 
-  IMPLICIT none
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT none
   !======================================================================
   ! Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
@@ -69,5 +81,5 @@
   include "alpale.h"
   include "compbl.h"
-  include "YOMCST.h"
+
   !======================================================================
   CHARACTER*(*) fichnom
Index: LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5274)
@@ -431,5 +431,16 @@
        USE output_physiqex_mod, ONLY: output_physiqex
        USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS, CPPKEY_STRATAER, CPPKEY_DUST, CPPKEY_COSP, CPPKEY_COSP2, CPPKEY_COSPV2
-
+       USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 
     IMPLICIT NONE
@@ -1281,5 +1292,4 @@
                  ! the ozone fields, old method.
 
-    include "YOMCST.h"
     include "YOETHF.h"
     include "FCTTRE.h"
Index: LMDZ6/trunk/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/reevap.F90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmdiso/reevap.F90	(revision 5274)
@@ -15,5 +15,17 @@
 #endif 
 #endif
-    IMPLICIT none
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT none
     !>======================================================================
 
@@ -25,10 +37,10 @@
 
     REAL za,zb,zdelta,zlvdcp,zlsdcp
-    INTEGER i,k,ixt,ivapcur,iliqcur,isolcur    
+    INTEGER i,k,ixt,ivapcur,iliqcur,isolcur
 
 
     !--------Stochastic Boundary Layer Triggering: ALE_BL--------
-    !---Propri\'et\'es du thermiques au LCL 
-    include "YOMCST.h"
+    !---Propri\'et\'es du thermiques au LCL
+
     include "YOETHF.h"
     include "FCTTRE.h"
